### Method

# Gtk.GestureSwipe.get_velocity

#### Declaration [src]

    gboolean
    gtk_gesture_swipe_get_velocity (
      GtkGestureSwipe* gesture,
      double* velocity_x,
      double* velocity_y
    )

#### Description [src]

Gets the current velocity.

If the gesture is recognized, this function returns `TRUE` and fills in `velocity_x` and `velocity_y` with the recorded velocity, as per the last events processed.

#### Parameters

`velocity_x` | `double*`
| return value for the velocity in the X axis, in pixels/sec
| Direction: out
| Ownership of the data is transferred to the callee
`velocity_y` | `double*`
| return value for the velocity in the Y axis, in pixels/sec
| Direction: out
| Ownership of the data is transferred to the callee

#### Return value

Returns: `gboolean`
whether velocity could be calculated